> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyzecloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an API key



## OpenAPI

````yaml /openapi.json put /api/api-keys/{keyId}
openapi: 3.0.3
info:
  title: Hyze Cloud API
  description: Official API documentation
  version: 1.0.0
servers:
  - url: https://api.hyzecloud.com
security:
  - bearerAuth: []
paths:
  /api/api-keys/{keyId}:
    put:
      tags:
        - API Keys
      summary: Update an API key
      operationId: putApiApi-keysByKeyId
      parameters:
        - name: keyId
          in: path
          required: true
          schema:
            minLength: 1
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  minLength: 1
                  type: string
                enabled:
                  type: boolean
                remaining:
                  type: number
                metadata:
                  type: object
                  additionalProperties: true
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                name:
                  minLength: 1
                  type: string
                enabled:
                  type: boolean
                remaining:
                  type: number
                metadata:
                  type: object
                  additionalProperties: true
          multipart/form-data:
            schema:
              type: object
              properties:
                name:
                  minLength: 1
                  type: string
                enabled:
                  type: boolean
                remaining:
                  type: number
                metadata:
                  type: object
                  additionalProperties: true
      responses:
        default:
          description: Response
      security:
        - bearerAuth: []
        - cookieAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      x-default: hyze_your_api_key
    cookieAuth:
      type: apiKey
      in: cookie
      name: better-auth.session_token

````